Results:
Loading...

React Data GridCommunity and EnterpriseEnterprise

AG Grid comes in two forms: AG Grid Community (free for everyone, including production use) and AG Grid Enterprise (you need a license to use).

The Enterprise version of AG Grid comes with more features and support via Zendesk. The features that are only available in AG Grid Enterprise are marked with the Enterprise icon as demonstrated in the image to the right and in the feature comparison below.

See Pricing for details on purchasing an AG Grid Enterprise license.
Enterprise Features

Trial AG Grid Enterprise for Free

It is free to try out AG Grid Enterprise. Please take AG Grid Enterprise for a test run. You do not need to contact us. All that we ask when trialing is that you don't use AG Grid Enterprise in a project intended for production.

Installing AG Grid Enterprise

Each of the Getting Started guides gives step by step instructions on how to get started using AG Grid Enterprise for the framework in question. In most cases, you do one of the following:

Via Bundled Script

If including the bundled AG Grid script directly into your webpage, then reference ag-grid-enterprise/dist/ag-grid-enterprise.js instead of ag-grid-community/dist/ag-grid-community.js.

As before, you use AG Grid in the same way, but including the enterprise script will enable AG Grid to have all enterprise features at your disposal.

Via Grid Packages

If using node modules and grid packages include the enterprise package ag-grid-enterprise.

"dependencies": {
    "ag-grid-community": "~30.0.6",
    "ag-grid-enterprise": "~30.0.6"
    ...
}

Then import the AG Grid Enterprise package in your application before any grid instance is created.

import 'ag-grid-enterprise';

The versions of ag-grid-community and ag-grid-enterprise should match. They are released in tandem and expect to be on the same version.

Via Grid Modules

If using node modules and grid modules, include the enterprise feature modules for the features that you require. For example to add the enterprise Row Grouping feature along with Server Side row model add the following packages to your package.json file:

"dependencies": {    
    "@ag-grid-enterprise/row-grouping": "~30.0.6",
    "@ag-grid-enterprise/server-side-row-model": "~30.0.6",
    ...
}

Then reference and import the AG Grid Enterprise modules:

import { RowGroupingModule } from '@ag-grid-enterprise/row-grouping';
import { ServerSideRowModelModule } from '@ag-grid-enterprise/server-side-row-model';

Then depending on your choice of framework you'll need to provide the modules to the grid or register them globally (see Installing Grid Modules for full details.). Please refer to the Modules documentation for all the enterprise modules.

<ag-grid-react
    rowData={rowData}
    columnDefs={columnDefs}
    modules={[ServerSideRowModelModule, RowGroupingModule]}>
</ag-grid-react>

The versions of the modules you use, @ag-grid-community/** and @ag-grid-enterprise/** should match. They are released in tandem and expect to be on the same version.

Trial License Key

When you do not have a license key installed then AG Grid Enterprise will display a invalid key watermark. If you would like to remove this watermark so it's not in the way, please send us an e-mail info@ag-grid.com and get a trial license key.

Support While Trialing

You can access Support via Zendesk for help while trialing. Email info@ag-grid.com to get set up with access.

Setting the License Key

Set the license key via the JavaScript method as described below. AG Grid checks the license key without making any network calls. The license key is set once for the grid library. You do not need to set the license key for each instance of AG Grid that you create, it is just set once statically into the AG Grid library. You must set the license key before you create an instance of AG Grid, otherwise AG Grid will complain upon creation that no license key is set.

Note that you must pass the key exactly as provided by AG Grid - do not modify the key in any way.

If you are distributing your product and including AG Grid Enterprise, we realise that your license key will be visible to others. We appreciate that this is happening and just ask that you don't advertise it. Given our product is JavaScript, there is little we can do to prevent this.

Via CommonJS

Use this if you are using CommonJS to load AG Grid.

var enterprise = require("@ag-grid-enterprise/core");
enterprise.LicenseManager.setLicenseKey("your license key");

Via Grid Packages

If you are using grid packages (e.g. you are using import ag-grid-enterprise) set the license like this.

import { LicenseManager } from  'ag-grid-enterprise'

LicenseManager.setLicenseKey("your license key")

Via Grid Modules

If you are using grid modules (e.g. you are using import { RowGroupingModule } from @ag-grid-enterprise/row-grouping) set the license like this.

import { LicenseManager } from '@ag-grid-enterprise/core'

LicenseManager.setLicenseKey("your license key")

If you're using any Enterprise feature then @ag-grid-enterprise/core will be available - you do not need to specify it as a dependency.

Do Not Mix Loading Mechanisms

If you mix the methods above (eg if you are using CommonJS in your application, but use the JavaScript approach above to set license key) then it will not work. This is because the AG Grid library will be loaded twice, one will have the license key and the other will be used in your application without the license key.

We recommend setting the license key in your main bootstrap file (typically named index.js), before you bootstrap your application.

For example:

import React from "react";
import {render} from "react-dom";

import "@ag-grid-enterprise/core/styles/ag-grid.css";
import "@ag-grid-enterprise/core/styles/ag-theme-alpine.css";

import {LicenseManager} from "@ag-grid-enterprise/core";
LicenseManager.setLicenseKey("your license key");

import App from "./App";

document.addEventListener('DOMContentLoaded', () => {
    render(
        <App/>,
        document.querySelector('#app')
    );
});

Invalid License

If you have an enterprise grid running with an invalid license (no license, expired license) your console log will display a series of warnings and the grid will show a watermark for 5 seconds.

Feature Comparison

The below table summarizes the features included in AG Grid Community and AG Grid Enterprise. Note that AG Grid Enterprise builds on AG Grid Community, it offers everything AG Grid Community offers plus more.

CommunityEnterprise
Rows
Row IDs
Row Sorting
Row Spanning
Row Pinning
Row Height
Full Width Rows
Row Animation
Row Dragging
External DropZone
Grid to Grid
Layout & Styling
Global Styling
Themes
Customisation
Variable Reference
Colours & Fonts
Compactness & Row Height
Selections
Headers
Borders
Icons
Tool Panels
Inputs & Widgets
Menus & Popups
Advanced CSS
Sass
Styling Rows
Styling Cells
Grid Size
Printing
Upgrading to v28+
CSS
Sass
Client-Side Data
Overview
Accessing Data
Updating Data
Row Data
Single Row / Cell
Transactions
High Frequency
Data Stages
Context
Server-Side Data
Row Models
Server-Side Row Model
Infinite Row Model
Viewport Row Model
Selection
Overview
Row Selection
Range Selection
Range Handle
Fill Handle
Filtering
Overview
Column Filters
Text Filter
Number Filter
Date Filter
Set Filter
Multi Filter
Filter Conditions
Applying Filters
Filter API
Floating Filters
External Filter
Quick Filter
Rendering
Cell Content
Value Getters
Value Formatters
Expressions
Reference Data
Cell Rendering
Group Cell Renderer
Change Cell Renderers
Rendering API
View Refresh
Flashing Cells
Change Detection
Editing
Overview
Start / Stop Editing
Parsing Values
Saving Values
Cell Editors
Provided Cell Editors
Undo / Redo Edits
Full Row
Group & Pivot
Row Grouping
Aggregation
Tree Data
Pivoting
Master Detail
Overview
Detail Grids
Detail Height
Detail Refresh
Master Rows
Nesting
Custom Detail
Other
Import & Export
CSV Export
Excel Export
API Reference
Styles
Formulas
Extra Content
Customising Content
Images
Multiple Sheets
Rows
Columns
Data Types
Hyperlinks
Master Detail
Page Setup
Clipboard
Drag & Drop
Accessories
Tool Panels
Side Bar
Columns Tool Panel
Filters Tool Panel
Column Menu
Context Menu
Status Bar
Overlays
Components
Registering Components
Component Types
Cell Renderer
Cell Editor
Date Component
Filter Component
Floating Filter Component
Header Component
Loading Cell Renderer
Overlay Component
Status Bar Component
Tool Panel Component
Tooltip Component
Higher Order Components
Sparklines
Overview
Area
Bar
Column
Line
Sparkline Data
Axis Types
Tooltips
Points of Interest
Integrated Charts
Overview
User Created Charts
Range Chart
Pivot Chart
Application Created Charts
Range Chart API
Pivot Chart API
Cross Filter API
Chart Tool Panels
Chart Toolbar
Chart Container
Customisation
Chart Events
Time Series
Save / Restore Charts
Chart Image Export
Standalone Charts
Overview
Getting Started
API
Options Reference
Themes Reference
Create/Update
Download
Events
Explorer
Layout & Styling
Layout
Themes
Overlays
Background
Series
Line
Bar/Column
Histogram
Area
Scatter/Bubble
Pie/Doughnut
Treemap
Combination
Features
Axes
Legend
Series Markers
Series Highlighting
Tooltips
Formatters
Cross Lines
Navigator
Scrolling
DOM Virtualisation
Row Pagination
Aligned Grids
Massive Row Count
Scrolling Performance
Interactivity
Keyboard Navigation
Touch
Accessibility (ARIA)
RTL Text Direction
Localisation

AG Grid comes in two forms: AG Grid Community (free for everyone, including production use) and AG Grid Enterprise (you need a license to use).

It is free to try out AG Grid Enterprise. Please take AG Grid Enterprise for a test run. You do not need to contact us. All that we ask when trialing is that you don't use AG Grid Enterprise in a project intended for production.
Each of the Getting Started guides gives step by step instructions on how to get started using AG Grid Enterprise for the framework in question. In most cases, you do one of the following:
If including the bundled AG Grid script directly into your webpage, then reference ag-grid-enterprise/dist/ag-grid-enterprise.js instead of ag-grid-community/dist/ag-grid-community.js.
As before, you use AG Grid in the same way, but including the enterprise script will enable AG Grid to have all enterprise features at your disposal.
If using node modules and grid packages include the enterprise package ag-grid-enterprise.
"dependencies": {
"ag-grid-community": "~30.0.6",
"ag-grid-enterprise": "~30.0.6"
...
}Then import the AG Grid Enterprise package in your application before any grid instance is created.
import 'ag-grid-enterprise';The versions of ag-grid-community and ag-grid-enterprise should match. They are released in tandem and expect to be on the same version.
If using node modules and grid modules, include the enterprise feature modules for the features that you require. For example to add the enterprise Row Grouping feature along with Server Side row model add the following packages to your package.json file:
"dependencies": {
"@ag-grid-enterprise/row-grouping": "~30.0.6",
"@ag-grid-enterprise/server-side-row-model": "~30.0.6",
...
}Then reference and import the AG Grid Enterprise modules:
import { RowGroupingModule } from '@ag-grid-enterprise/row-grouping';
import { ServerSideRowModelModule } from '@ag-grid-enterprise/server-side-row-model';Then depending on your choice of framework you'll need to provide the modules to the grid or register them globally (see Installing Grid Modules for full details.). Please refer to the Modules documentation for all the enterprise modules.
<ag-grid-vue
:rowData="rowData"
:columnDefs="columnDefs"
:modules="[ServerSideRowModelModule, RowGroupingModule]"
</ag-grid-vue>
The versions of the modules you use, @ag-grid-community/** and @ag-grid-enterprise/** should match. They are released in tandem and expect to be on the same version.
When you do not have a license key installed then AG Grid Enterprise will display a invalid key watermark. If you would like to remove this watermark so it's not in the way, please send us an e-mail info@ag-grid.com and get a trial license key.
You can access Support via Zendesk for help while trialing. Email info@ag-grid.com to get set up with access.
Set the license key via the JavaScript method as described below. AG Grid checks the license key without making any network calls. The license key is set once for the grid library. You do not need to set the license key for each instance of AG Grid that you create, it is just set once statically into the AG Grid library. You must set the license key before you create an instance of AG Grid, otherwise AG Grid will complain upon creation that no license key is set.
Note that you must pass the key exactly as provided by AG Grid - do not modify the key in any way.
If you are distributing your product and including AG Grid Enterprise, we realise that your license key will be visible to others. We appreciate that this is happening and just ask that you don't advertise it. Given our product is JavaScript, there is little we can do to prevent this.
Use this if you are using CommonJS to load AG Grid.
var enterprise = require("@ag-grid-enterprise/core");
enterprise.LicenseManager.setLicenseKey("your license key");If you are using grid packages (e.g. you are using import ag-grid-enterprise) set the license like this.
import { LicenseManager } from 'ag-grid-enterprise'
LicenseManager.setLicenseKey("your license key")
If you are using grid modules (e.g. you are using import { RowGroupingModule } from @ag-grid-enterprise/row-grouping) set the license like this.
import { LicenseManager } from '@ag-grid-enterprise/core'
LicenseManager.setLicenseKey("your license key")If you're using any Enterprise feature then @ag-grid-enterprise/core will be available - you do not need to specify it as a dependency.
If you mix the methods above (eg if you are using CommonJS in your application, but use the JavaScript approach above to set license key) then it will not work. This is because the AG Grid library will be loaded twice, one will have the license key and the other will be used in your application without the license key.
We recommend setting the license key in your main bootstrap file (typically named main.js), before you bootstrap your application.
For example:
import Vue from "vue";
import "@ag-grid-enterprise/styles/ag-grid.css";
import "@ag-grid-enterprise/styles/ag-theme-alpine.css";
import { LicenseManager } from "@ag-grid-enterprise/core";
LicenseManager.setLicenseKey("your license key");
new Vue({
el: "#el",
...
});
If you have an enterprise grid running with an invalid license (no license, expired license) your console log will display a series of warnings and the grid will show a watermark for 5 seconds.
The below table summarizes the features included in AG Grid Community and AG Grid Enterprise. Note that AG Grid Enterprise builds on AG Grid Community, it offers everything AG Grid Community offers plus more.